package org.yaoqiang.bpmn.model.elements.collaboration;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * ParticipantAssociations
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ParticipantAssociations extends XMLCollection {

	private static final long serialVersionUID = 4248590205926285447L;

	public ParticipantAssociations(XMLElement parent) {
		super(parent, "participantAssociations");
	}

	public XMLElement generateNewElement() {
		return new ParticipantAssociation(this);
	}

	public String getElementName() {
		return "participantAssociation";
	}
	
}
